Update from 3.0.0 to 3.19.3 useful?

More
3 months 2 weeks ago #190655 by bsnyers
Hello,

I am using 3.0.0+171222 version and I keep seeing this message:

"Security update! A security update is available. Click here to use ComfortUpdate."

I have a survey that I would like to launch asap but have noticed some problems with it (one participant reported not being able to save/send his answers after completing a released test version of the survey).

Should I update to the latest version (3.19.3)? Would that be helpful in preventing similar problems?

Thanks in advance!

Please Iniciar sessão or Create an account to join the conversation.

LimeSurvey Partners
More
3 months 2 weeks ago #190660 by tpartner
I cannot say whether it will fix that specific problem but, yes, you should definitely update. A ton of bugs have been addressed in the two years since your version was released.

Cheers,
Tony Partner

Solutions, code and workarounds presented in these forums are given without any warranty, implied or otherwise.
Official LimeSurvey Partner - partnersurveys.com

Please Iniciar sessão or Create an account to join the conversation.

More
3 months 2 weeks ago #190667 by holch
Just as tpartner. Your version is quite old and was basically the first version of this branch. The early versions generally still have a couple of bugs and issues that are found once people start to use it and will subsequently be corrected. So it make sense to update. However, we are not able to ensure you that your specific problem will be solved. But with so many bug fixes (as you can see by the versioning, there were a lot more than 19 updates since your version has been released. An update is very recommended.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Iniciar sessão or Create an account to join the conversation.

More
3 months 2 weeks ago #190678 by DenisChenu
I don't understand why you ask …
1. You are informed there are security issue in your version
2. You have issue with your version

It's the same version number : then no need to redo theme or plugin (in theory).

The, yes

@holch : 19 new feature : X.Y.Z :
X: majur version : can broke something
Y: new feature
Z: Fix issue
semver.org/

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development .
An error happen ? Before make a new topic : remind the Debug mode .
The following user(s) said Thank You: cdorin

Please Iniciar sessão or Create an account to join the conversation.

More
3 months 2 weeks ago #190683 by bsnyers
Thank you, I will follow your advice and update to the new version.

Please Iniciar sessão or Create an account to join the conversation.

More
3 months 2 weeks ago #190695 by holch

DenisChenu wrote: @holch : 19 new feature : X.Y.Z :
X: majur version : can broke something
Y: new feature
Z: Fix issue
semver.org/


Interesting! Didn't know that about Y and Z, good to know!

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Iniciar sessão or Create an account to join the conversation.

Começar agora!

Basta criar a sua conta e comece a usar o LimeSurvey hoje mesmo.

Registar agora
Subscreva o nosso boletim informativo!

Iniciar sessão